Subject: Re: adsrc

From: Matt Zagrabelny <[email-masked]>
Date: Tue, 5 Nov 2024 16:47:17 -0600

On Tue, Nov 5, 2024 at 4:44 PM Ron Johnson <[email-masked]> wrote:

> On Tue, Nov 5, 2024 at 4:45 PM Matt Zagrabelny <[email-masked]> wrote:
>
>> Greetings Pg folk,
>>
>> I've got a legacy app connecting to a legacy Pg database (9.4).
>>
>> I'd like to upgrade the database to Pg 15, but when I connect and perform
>> some tasks in the app, I get:
>>
>> ERROR:  column d.adsrc does not exist at character 331
>>
>> Some searching online yields that adsrc was removed in Pg 12.
>>
>
> 1. What is the application?
>

Netdot - an IPAM from the 2000's.

>
> 2. An upgraded version of the application (or at least the db driver)
> probably won't reference it.
>

Yes. Looks like the DBD::Pg module is what needs the upgrade.

-m

---

From: Greg Sabino Mullane <[email-masked]>
Date: Sun, 10 Nov 2024 11:34:13 -0500

> Yes. Looks like the DBD::Pg module is what needs the upgrade.

Specifically, you will need DBD::Pg version 3.9.0 or higher, but I *highly*
recommend using the latest release you can (right now, that is 3.18.0)

Cheers,
Greg